import { Group, Principal } from '../../types';
import { HalResource } from 'hal-types';
import { PrivilegeMap } from '../../privilege/types';
export declare function memberCollection(group: Group, members: Principal[]): HalResource;
export declare function collection(groups: Group[]): HalResource;
/**
 * Generate a HAL response for a specific group
 */
export declare function item(group: Group, privileges: PrivilegeMap, isAdmin: boolean, groups: Group[], members: Principal[]): HalResource;
/**
 * Generate a HAL response for the 'all users' group.
 *
 * This group is special as it contains a virtual representation of all users in the system.
 * We don't want to allow modifying the members list of listing the members generally.
 */
export declare function itemAllUsers(group: Group, privileges: PrivilegeMap, isAdmin: boolean): HalResource;
