"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    await knex('privileges')
        .insert({ privilege: 'a12n:principals:list', description: 'Read user, app and group information' });
    await knex('privileges')
        .insert({ privilege: 'a12n:principals:create', description: 'Create new users, apps and groups' });
    await knex('privileges')
        .insert({ privilege: 'a12n:principals:update', description: 'Update users, apps and groups' });
}
exports.up = up;
async function down(knex) {
    await knex('privileges')
        .delete()
        .whereIn('privileges', ['a12n:principals:list', 'a12n:principal:create', 'a12n:principal:update']);
}
exports.down = down;
//# sourceMappingURL=20230925041530_new_privileges.js.map