"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    await knex('privileges')
        .insert({ privilege: 'a12n:one-time-token:generate', description: 'Create a token for an arbitrary user, this token grants full access to this account.' });
    await knex('privileges')
        .insert({ privilege: 'a12n:one-time-token:exchange', description: 'Exchange a one-time-token for a OAuth2 access token.' });
}
exports.up = up;
async function down(knex) {
    await knex('privileges')
        .delete()
        .whereIn('privileges', ['a12n:one-time-token:generate', 'a12n:one-time-token:exchange']);
}
exports.down = down;
//# sourceMappingURL=20231109012626_new_privileges.js.map