import { App } from '../../types';
type NewClientQuery = {
    clientId?: string;
    allowedGrantTypes?: string;
    redirectUris?: string;
    requirePkce?: string;
};
export declare function newClient(user: App, query: NewClientQuery): {
    properties: {
        title: string;
    };
    links: {
        rel: string[];
        href: string;
        title: string;
    }[];
    actions: {
        name: string;
        title: string;
        method: string;
        type: string;
        href: string;
        fields: ({
            name: string;
            title: string;
            value: string | undefined;
            type?: undefined;
        } | {
            name: string;
            title: string;
            type: string;
            value: boolean;
        } | {
            name: string;
            title: string;
            type: string;
            value: string;
        })[];
    }[];
};
export {};
