"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const service_1 = require("../../principal/service");
const service_2 = require("../service");
const hal = require("../formats/hal");
const url_1 = require("url");
class OneTimeTokenController extends controller_1.default {
    async post(ctx) {
        ctx.request.validate('https://curveballjs.org/schemas/a12nserver/one-time-token-generate.json');
        ctx.privileges.require('a12n:one-time-token:generate');
        const principalService = new service_1.PrincipalService(ctx.privileges);
        const user = await principalService.findByExternalId(ctx.params.id, 'user');
        const token = await (0, service_2.createToken)(user, ctx.request.body.expiresIn ?? null);
        const url = (0, url_1.resolve)(ctx.request.origin, 'reset-password/token/' + token.token);
        ctx.response.body = hal.oneTimeToken(user, url, token);
    }
}
exports.default = new OneTimeTokenController();
//# sourceMappingURL=generate.js.map