"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const hal = require("../formats/hal");
const userAppPermissionService = require("../service");
const service_1 = require("../../principal/service");
class UserAppPermissionsCollection extends controller_1.default {
    async get(ctx) {
        const principalService = new service_1.PrincipalService(ctx.privileges);
        const principal = await principalService.findByExternalId(ctx.params.id, 'user');
        const appPermissions = await userAppPermissionService.findByUser(principal);
        ctx.response.body = hal.collection(principal, appPermissions);
    }
}
exports.default = new UserAppPermissionsCollection();
//# sourceMappingURL=user-collection.js.map