"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const hal = require("../formats/hal");
const http_errors_1 = require("@curveball/http-errors");
const service_1 = require("../../principal/service");
const userAppPermissionService = require("../service");
class UserAppPermissionsItem extends controller_1.default {
    async get(ctx) {
        const principalService = new service_1.PrincipalService(ctx.privileges);
        const user = await principalService.findByExternalId(ctx.params.id, 'user');
        if (ctx.auth.equals(user) && !ctx.privileges.has('admin')) {
            throw new http_errors_1.Forbidden('You can only use this API for yourself, or if you have \'admin\' privileges');
        }
        const app = await principalService.findByExternalId(ctx.params.appId, 'app');
        const appPermission = await userAppPermissionService.findByUserAndApp(user, app);
        ctx.response.body = hal.item(appPermission);
    }
}
exports.default = new UserAppPermissionsItem();
//# sourceMappingURL=user-item.js.map