import { PrivilegeMap } from '../../privilege/types';
import { Principal, Group, User } from '../../types';
import { HalResource } from 'hal-types';
import { LazyPrivilegeBox } from '../../privilege/service';
export declare function collection(users: User[]): HalResource;
/**
 * Generate a HAL response for a specific user
 *
 * hasControl should only be true if the *current* user is same as the user
 * we're generating the repsonse for, or if the current authenticated user
 * has full admin privileges
 */
export declare function item(user: User, privileges: PrivilegeMap, hasControl: boolean, hasPassword: boolean, currentUserPrivileges: LazyPrivilegeBox, groups: Group[]): HalResource;
export declare function edit(user: User): HalResource;
export declare function editPrivileges(principal: Principal, userPrivileges: PrivilegeMap, privileges: string[]): HalResource;
